--This LUA is now a Version 2.0 of the Original "Animal Behavior Perk Deck"
local data = UpgradesTweakData._init_pd2_values
function UpgradesTweakData:_init_pd2_values()
	data(self, tweak_data)
	self.values.player.passive_health_multiplier = {
	1.10, --default values
	1.20, --default values
	1.40, --default values
	1.80, --default values
	1.00,
	}
	self.values.player.armor_multiplier = {
	1.30, --default values
	1.00, --default values
	1.40
	}
	self.values.player.extra_ammo_multiplier = {
	1.25, --default values
	2.25
	}
	self.values.shotgun.damage_multiplier = {
	1.00, --default values
	1.95
	}
	self.values.snp.damage_multiplier = {
	1.00, --default values
	1.15
	}
	self.values.snp.reload_speed_multiplier = {
	1.00, --default values
	1.25, --default values
	1.80
	}
	self.values.snp.fire_rate_multiplier = {
	1.00, --default values
	1.25, --default values
	1.50
	}
	self.values.snp.extra_ammo_multiplier = {
	1.00, --default values
	1.25, --default values
	1.50,
	2.50
	}
	self.values.sentry_gun.quantity = {
	0.00, --default values
	1.00, --default values
	3.00, --default values
	0.00
	}
	self.values.sentry_gun.armor_multiplier = {
	2.50, --default values
	1.00
	}
	self.values.sentry_gun.cost_reduction = {
	1.25, --default values
	1.50
	}
	self.values.sentry_gun.extra_ammo_multiplier = {
	1.50, --default values
	2.50, --default values
	1.00
	}
	self.values.ammo_bag.ammo_increase = {
	1.00, --default values
	2.00, --default values
	1.00,
	3.00
	}
	self.values.player.melee_damage_multiplier = {
	1.25, --default values
	1.50, --default values
	1.00
	}
	self.values.player.health_damage_reduction = {
	0.70, --default values
	0.40, --default values
	0.50
	}
	self.values.player.cheat_death_chance = {
	0.25, --default values
	0.50, --default values
	0.00,
	0.25
	}
	self.values.player.max_health_reduction = {
	0.15, --default values
	1.00,
	0.25,
	}
	self.values.player.passive_health_regen = {
	0.008, --default values // Heal 4% every 5 Seconds
	0.000,
	0.008
	}
end

local skills = UpgradesTweakData._player_definitions
function UpgradesTweakData:_player_definitions()
	skills(self, tweak_data)
	
	self.definitions.Eagle_Special_1 = {
		category = "feature",
		name_id = "menu_snp_fire_rate_multiplier_4",
		upgrade = {
			category = "snp",
			upgrade = "fire_rate_multiplier",
			value = 3
		}}	
	self.definitions.Eagle_Ammo = {
		category = "feature",
		name_id = "menu_snp_extra_ammo_multiplier_4",
		upgrade = {
			category = "snp",
			upgrade = "extra_ammo_multiplier",
			value = 4
		}}		
	self.definitions.Eagle_Armor = {
		category = "feature",
		name_id = "menu_player_armor_multiplier_3",
		upgrade = {
			category = "player",
			upgrade = "armor_multiplier",
			value = 3
		}}	
	self.definitions.Eagle_Passive = {
		category = "feature",
		name_id = "menu_snp_reload_speed_multiplier_3",
		upgrade = {
			category = "snp",
			upgrade = "reload_speed_multiplier",
			value = 3
		}}	
	self.definitions.Eagle_Weapon = {
		category = "feature",
		name_id = "menu_snp_damage_multiplier_2",
		upgrade = {
			category = "snp",
			upgrade = "damage_multiplier",
			value = 2
		}}	
	self.definitions.Eagle_Special_2 = {
		category = "feature",
		name_id = "menu_player_cheat_death_chance_4",
		upgrade = {
			category = "player",
			upgrade = "cheat_death_chance",
			value = 4
		}}
	self.definitions.Shark_Ammo = {
		category = "feature",
		name_id = "menu_player_extra_ammo_multiplier_2",
		upgrade = {
			category = "player",
			upgrade = "extra_ammo_multiplier",
			value = 2
		}}
	self.definitions.Shark_Passive = {
		category = "feature",
		name_id = "menu_player_health_damage_reduction_3",
		upgrade = {
			category = "player",
			upgrade = "health_damage_reduction",
			value = 3
		}}
	self.definitions.Shark_Weapon = {
		category = "feature",
		name_id = "menu_shotgun_damage_multiplier_2",
		upgrade = {
			category = "shotgun",
			upgrade = "damage_multiplier",
			value = 2
		}}		
	self.definitions.Shark_Special_1 = {
		category = "feature",
		name_id = "menu_player_max_health_reduction_3",
		upgrade = {
			category = "player",
			upgrade = "max_health_reduction",
			value = 3
		}}
	self.definitions.Shark_Special_2 = {
		category = "feature",
		name_id = "menu_player_max_health_reduction_3",
		upgrade = {
			category = "player",
			upgrade = "passive_health_regen",
			value = 3
		}}
	self.definitions.Shark_Ultility = {
		category = "feature",
		name_id = "menu_ammo_bag_ammo_increase_4",
		upgrade = {
			category = "ammo_bag",
			upgrade = "ammo_increase",
			value = 4
		}}
	end

--everything below here is planned or a WIP--
--!!MAY/WILL cause crashes!!--