local data = SkillTreeTweakData.init
function SkillTreeTweakData:init(tweak_data)
	data(self, tweak_data)
local deck2 = {
	upgrades = {
		"weapon_passive_headshot_damage_multiplier",
		"Hack_Melee"
	},
	cost = 300,
	icon_xy = {7, 1},
	name_id = "menu_deckall_2",
	desc_id = "menu_deckall_2_desc"
	}
local deck4 = {
	upgrades = {
		"passive_player_xp_multiplier",
		"player_passive_suspicion_bonus",
		"player_passive_armor_movement_penalty_multiplier"
	},
	cost = 600,
	icon_xy = {3, 0},
	name_id = "menu_deckall_4",
	desc_id = "menu_deckall_4_desc"
	}
local deck6 = {
	upgrades = {
		"armor_kit",
		"player_pick_up_ammo_multiplier"
	},
	cost = 1600,
	icon_xy = {5, 0},
	name_id = "menu_deckall_6",
	desc_id = "menu_deckall_6_desc"
	}
local deck8 = {
	upgrades = {
		"weapon_passive_damage_multiplier",
		"passive_doctor_bag_interaction_speed_multiplier"
	},
	cost = 3200,
	icon_xy = {7, 0},
	name_id = "menu_deckall_8",
	desc_id = "menu_deckall_8_desc"
	}
local testslot = {
	upgrades = {
	},
	cost = 1,
	icon_xy = {1, 0},
	name_id = "menu_deckall_2",
	desc_id = "menu_deckall_2_desc"
	}
--[[end default perks
--start Shark]]
table.insert(self.specializations,{
			name_id = "menu_st_spec_73",
			desc_id = "menu_st_spec_73_desc",
			{
				upgrades = {
				"Shark_Special_1"
				},
				cost = 200,
				icon_xy = {0, 0},
				texture_bundle_folder = "opera",
				name_id = "menu_deck73_1",
				desc_id = "menu_deck73_1_desc"
			},
			deck2,
			{
				upgrades = {
				"Shark_Passive"
				},
				cost = 400,
				icon_xy = {7, 1},
				name_id = "menu_deck73_3",
				desc_id = "menu_deck73_3_desc"
			},
			deck4,
			{
				upgrades = {
				"Shark_Ammo"
				},
				cost = 1000,
				icon_xy = {7, 7},
				name_id = "menu_deck73_5",
				desc_id = "menu_deck73_5_desc"
			},
			deck6,
			{
				upgrades = {
				"Shark_Ultility"
				},
				cost = 2400,
				icon_xy = {7, 1},
				name_id = "menu_deck73_7",
				desc_id = "menu_deck73_7_desc"
			},
			deck8,
			{
				upgrades = {
				"Shark_Weapon",
				"Shark_Special_2"
				},
				cost = 4000,
				icon_xy = {7, 7},
				name_id = "menu_deck73_9",
				desc_id = "menu_deck73_9_desc"
			}		
		})
--[[end Shark
--start Turtle]]
table.insert(self.specializations,{
			name_id = "menu_st_spec_74",
			desc_id = "menu_st_spec_74_desc",
			{
				upgrades = {
				},
				cost = 200,
				icon_xy = {2, 7},
				armors_allowed = {"level_1"},
				name_id = "menu_deck74_1",
				desc_id = "menu_deck74_1_desc"
			},
			deck2,
			{
				upgrades = {
				},
				cost = 400,
				icon_xy = {5, 1},
				name_id = "menu_deck74_3",
				desc_id = "menu_deck74_3_desc"
			},
			deck4,
			{
				upgrades = {
				},
				cost = 1000,
				icon_xy = {3, 0},
				name_id = "menu_deck74_5",
				desc_id = "menu_deck74_5_desc"
			},
			deck6,
			{
				upgrades = {
				},
				cost = 2400,
				icon_xy = {3, 0},
				name_id = "menu_deck74_7",
				desc_id = "menu_deck74_7_desc"
			},
			deck8,
			{
				upgrades = {
				},
				cost = 4000,
				icon_xy = {7, 7},
				name_id = "menu_deck74_9",
				desc_id = "menu_deck74_9_desc"
			}		
		})
--[[end Turtle
--start Eagle]]
table.insert(self.specializations,{
			name_id = "menu_st_spec_75",
			desc_id = "menu_st_spec_75_desc",
			{
				upgrades = {
				"Eagle_Special_1"
				},
				cost = 200,
				icon_xy = {1, 1},
				name_id = "menu_deck75_1",
				desc_id = "menu_deck75_1_desc"
			},
			deck2,
			{
				upgrades = {
				"Eagle_Passive"
				},
				cost = 400,
				icon_xy = {0, 0},
				name_id = "menu_deck75_3",
				desc_id = "menu_deck75_3_desc"
			},
			deck4,
			{
				upgrades = {
				"Eagle_Ammo"
				},
				cost = 1000,
				icon_xy = {4, 0},
				name_id = "menu_deck75_5",
				desc_id = "menu_deck75_5_desc"
			},
			deck6,
			{
				upgrades = {
				"Eagle_Armor"
				},
				cost = 2400,
				icon_xy = {2, 1},
				name_id = "menu_deck75_7",
				desc_id = "menu_deck75_7_desc"
			},
			deck8,
			{
				upgrades = {
				"Eagle_Weapon",
				"Eagle_Special_2"
				},
				cost = 4000,
				icon_xy = {4, 1},
				name_id = "menu_deck75_9",
				desc_id = "menu_deck75_9_desc"
			}		
		})
--[[end Eagle
--start Racoon]]
table.insert(self.specializations,{
			name_id = "menu_st_spec_76",
			desc_id = "menu_st_spec_76_desc",
			{
				upgrades = {
				},
				cost = 200,
				icon_xy = {2, 3},
				armors_allowed = {"level_1"},
				name_id = "menu_deck76_1",
				desc_id = "menu_deck76_1_desc"
			},
			deck2,
			{
				upgrades = {
				},
				cost = 400,
				icon_xy = {2, 3},
				name_id = "menu_deck76_3",
				desc_id = "menu_deck76_3_desc"
			},
			deck4,
			{
				upgrades = {
				},
				cost = 1000,
				icon_xy = {2, 3},
				name_id = "menu_deck76_5",
				desc_id = "menu_deck76_5_desc"
			},
			deck6,
			{
				upgrades = {
				},
				cost = 2400,
				icon_xy = {2, 3},
				name_id = "menu_deck76_7",
				desc_id = "menu_deck76_7_desc"
			},
			deck8,
			{
				upgrades = {
				},
				cost = 4000,
				icon_xy = {2, 3},
				name_id = "menu_deck76_9",
				desc_id = "menu_deck76_9_desc"
			}		
		})
--[[end Racoon 
--start Bat]]
table.insert(self.specializations,
		{
			name_id = "menu_st_spec_77",
			desc_id = "menu_st_spec_77_desc",
			{
				upgrades = {
				},
				cost = 200,
				icon_xy = {2, 3},
				armors_allowed = {"level_1"},
				name_id = "menu_deck77_1",
				desc_id = "menu_deck77_1_desc"
			},
			deck2,
			{
				upgrades = {
				},
				cost = 400,
				icon_xy = {2, 3},
				name_id = "menu_deck77_3",
				desc_id = "menu_deck77_3_desc"
			},
			deck4,
			{
				upgrades = {
				},
				cost = 1000,
				icon_xy = {2, 3},
				name_id = "menu_deck77_5",
				desc_id = "menu_deck77_5_desc"
			},
			deck6,
			{
				upgrades = {
				},
				cost = 2400,
				icon_xy = {2, 3},
				name_id = "menu_deck77_7",
				desc_id = "menu_deck77_7_desc"
			},
			deck8,
			{
				upgrades = {
				},
				cost = 4000,
				icon_xy = {2, 3},
				name_id = "menu_deck77_9",
				desc_id = "menu_deck77_9_desc"
			}		
		})
--[[end Bat
--start Python]]
table.insert(self.specializations,
		{
			name_id = "menu_st_spec_78",
			desc_id = "menu_st_spec_78_desc",
			{
				upgrades = {
				},
				cost = 200,
				icon_xy = {1, 5},
				armors_allowed = {"level_1"},
				name_id = "menu_deck78_1",
				desc_id = "menu_deck78_1_desc"
			},
			deck2,
			{
				upgrades = {
				},
				cost = 400,
				icon_xy = {1, 5},
				name_id = "menu_deck78_3",
				desc_id = "menu_deck78_3_desc"
			},
			deck4,
			{
				upgrades = {
				},
				cost = 1000,
				icon_xy = {1, 5},
				name_id = "menu_deck78_5",
				desc_id = "menu_deck78_5_desc"
			},
			deck6,
			{
				upgrades = {
				},
				cost = 2400,
				icon_xy = {1, 5},
				name_id = "menu_deck78_7",
				desc_id = "menu_deck78_7_desc"
			},
			deck8,
			{
				upgrades = {
				},
				cost = 4000,
				icon_xy = {1, 5},
				name_id = "menu_deck78_9",
				desc_id = "menu_deck78_9_desc"
			}		
		})
--[[end Python
start Wolf]]
table.insert(self.specializations,
		{
			name_id = "menu_st_spec_79",
			desc_id = "menu_st_spec_79_desc",
			{
				upgrades = {
				"Wolf_Special_1"
				},
				cost = 200,
				icon_xy = {1, 5},
				armors_allowed = {"level_1"},
				name_id = "menu_deck79_1",
				desc_id = "menu_deck79_1_desc"
			},
			deck2,
			{
				upgrades = {
				"Wolf_Active"
				},
				cost = 400,
				icon_xy = {1, 5},
				name_id = "menu_deck79_3",
				desc_id = "menu_deck79_3_desc"
			},
			deck4,
			{
				upgrades = {
				"Wolf_Active_2"
				},
				cost = 1000,
				icon_xy = {1, 5},
				name_id = "menu_deck79_5",
				desc_id = "menu_deck79_5_desc"
			},
			deck6,
			{
				upgrades = {
				"Wolf_Passive"
				},
				cost = 2400,
				icon_xy = {0, 5},
				name_id = "menu_deck79_7",
				desc_id = "menu_deck79_7_desc"
			},
			deck8,
			{
				upgrades = {
				"Wolf_Special_2"
				},
				cost = 4000,
				icon_xy = {0, 5},
				name_id = "menu_deck79_9",
				desc_id = "menu_deck79_9_desc"
			}
		})
--test deck the only use for this is for testing is not an actual perk deck--
--[[table.insert(self.specializations,
		{
			name_id = "menu_st_spec_test",
			desc_id = "menu_st_spec_test_desc",
			{
				upgrades = {
				},
				cost = 1,
				icon_xy = {2, 3},
				armors_allowed = {"level_1"},
				name_id = "menu_decktest_1",
				desc_id = "menu_decktest_1_desc"
			},
			testslot,
			testslot,
			testslot,
			testslot,
			testslot,
			testslot,
			testslot,
			testslot,	
		})]]
end

--everything below here is planned or a WIP--
--!!MAY/WILL cause crashes!!--